C
C This subroutine intializes the variables a, b, c, and x.
C
      subroutine setup(a, b, c, x)
      real a(100), b(100), c(100), x

      integer i

      x = 0.0

      do i = 1,100
         a(i) = i
         b(i) = 101.0 - i
         c(i) = 42.0
      end do

      return
      end
